/* 
 * File   : flyobj.cpp
 * Version: 2009-10-10
 *
 * Copyright (C) 2010 Jochen Peters
 *
 * dev[at]emirp.net
 * http://www.emirp.net/
 * 
 * This file is part of Approach Control.
 *
 * Approach Control is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * Approach Control is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Approach Control. If not, see <http://www.gnu.org/licenses/>.
 *
 */


#include <SDL.h>
#include "flyobj.hpp"
#include "pathsprite.hpp"


/*****************
 * FlyObj        *
 *****************/

FlyObj::FlyObj(SDL_Surface* _normal, SDL_Surface* _onapproach, SDL_Surface* _crashed, float _speed, int _type) : PathSprite(_normal, 0, 0, 0, 0, _speed, _type) {
	
	srfNormal = _normal;
	srfOnApproach = _onapproach;
	srfCrashed = _crashed;

}


void FlyObj::setNormal() {
	setSurface(srfNormal);
}

void FlyObj::setOnApproach() {
	setSurface(srfOnApproach);
}

void FlyObj::setCrashed() {
	setSurface(srfCrashed);
}


