/* 
 * File   : flyobj.hpp
 * Version: 2009-10-10
 *
 * Copyright (C) 2010 Jochen Peters
 *
 * dev[at]emirp.net
 * http://www.emirp.net/
 * 
 * This file is part of Approach Control.
 *
 * Approach Control is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * Approach Control is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Approach Control. If not, see <http://www.gnu.org/licenses/>.
 *
 */


#ifndef FLYOBJ_HPP
#define FLYOBJ_HPP

#include <SDL.h>
#include "pathsprite.hpp"

class FlyObj : public PathSprite {
	
	public:
		FlyObj(SDL_Surface*, SDL_Surface*, SDL_Surface*, float, int);
		void setNormal();
		void setOnApproach();
		void setCrashed();
	
	protected:
		SDL_Surface* srfNormal;
		SDL_Surface* srfOnApproach;
		SDL_Surface* srfCrashed;

};




#endif


